# $Revision: 1.5 $, $Date: 2005/12/24 14:02:58 $

%define	module	TestGears

Summary:	TestGears extensions to unittest
Summary(pl):	Rozszerzenie TestGears do unittest
Name:		python-TestGears
Version:	0.2
Release:	2
License:	GPL
Group:		Development/Languages/Python
Source0:	http://www.turbogears.org/download/eggs/%{module}-%{version}.tar.gz
# Source0-md5:	1911b1555cf8869e14d1f71da590bc0e
URL:		http://www.turbogears.org/testgears/
%pyrequires_eq	python
BuildRequires:	python-devel
BuildRequires:	unzip
BuildRequires:	python-setuptools
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
TestGears provides automatic discovery of unittest.TestCases and the
ability to run tests that are written as simple functions. It
generates a standard unittest.TestSuite for use with any of the
standard frontends, and provides a distutils command to run tests with
zero configuration.

%description -l pl
TestGears udostpnia automatyczne wykrywanie unittest.TestCases i
moliwo uruchamiania testw napisanych jako proste funkcje. Generuje
standardowy unittest.TestSuite do uywania z dowolnym ze standardowych
frontendw i udostpnia polecenie distutils do uruchamiania testw bez
adnej konfiguracji.

%prep
%setup -q -n %{module}-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT

python ./setup.py install \
        --single-version-externally-managed \
        --optimize 2 \
        --root=$RPM_BUILD_ROOT

%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{py_sitescriptdir}/%{module}*
%{py_sitescriptdir}/test*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-TestGears.spec,v $
Revision 1.5  2005/12/24 14:02:58  arekm
- rebuild

Revision 1.4  2005/12/20 20:23:48  arekm
- workarounds dropped (issue fixed in 20051220 snap of setuptools)

Revision 1.3  2005/12/20 19:19:54  arekm
- package from standard tarball

Revision 1.2  2005/12/15 21:39:58  qboosh
- pl

Revision 1.1  2005/12/09 21:08:02  arekm
- new
